Bug 439234 - Corrupted DWARF expression
Corrupted DWARF expression
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdb (Show other bugs)
5.1
ia64 Linux
low Severity medium
: rc
: ---
Assigned To: Jan Kratochvil
http://www.cygwin.com/ml/gdb-patches/...
:
Depends On: 232353 454303
Blocks: 439257
  Show dependency treegraph
 
Reported: 2008-03-27 13:01 EDT by Ravi Ramaseshan
Modified: 2009-01-20 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:02:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ravi Ramaseshan 2008-03-27 13:01:08 EDT
Description of problem:

The problem occurs with a large program that I am debugging. It has been
correctly diagnosed and fixed in the URL. It is fixed in later versions of GDB
too (6.7 for sure).

Version-Release number of selected component (if applicable):
GNU gdb Red Hat Linux (6.5-25.el5_1.1rh)

How reproducible:
I guess while debugging large programs, try and print some values.
  
Actual results:
dwarf2_read_address: Corrupted DWARF expression.

Expected results:
values for variables.

Additional info:
Comment 2 Jan Kratochvil 2008-04-01 12:34:23 EDT
Fixed in HEAD by upstream:
http://sourceware.org/ml/gdb-patches/2007-01/msg00561.html
Comment 3 RHEL Product and Program Management 2008-06-02 16:11:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Eric Bachalo 2008-07-10 14:36:32 EDT
This issue should be remedied with the gdb rebase in RHEL 5.3
reference: http://bugzilla.redhat.com/show_bug.cgi?id=454303
Comment 12 errata-xmlrpc 2009-01-20 17:02:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0207.html

Note You need to log in before you can comment on or make changes to this bug.